Ansible panos_pbf_rule giving me NameError: name 'PanDeviceError' is not defined

Reply
Highlighted
L1 Bithead

Ansible panos_pbf_rule giving me NameError: name 'PanDeviceError' is not defined

TASK [add a pbf rule] **************************************************************************************************************************************************************************************************************************
An exception occurred during task execution. To see the full traceback, use -vvv. The error was: NameError: name 'PanDeviceError' is not defined
fatal: [localhost]: FAILED! => {"changed": false, "module_stderr": "Traceback (most recent call last):\n File \"/var/folders/9z/5nh87sr11gjgmtbdnr0xd8p80000gn/T/ansible_panos_pbf_rule_payload_8ibl1nz8/ansible_panos_pbf_rule_payload.zip/ansible_collections/paloaltonetworks/panos/plugins/modules/panos_pbf_rule.py\", line 294, in main\nNameError: name 'PolicyBasedForwarding' is not defined\n\nDuring handling of the above exception, another exception occurred:\n\nTraceback (most recent call last):\n File \"/Users/cbandara/.ansible/tmp/ansible-tmp-1587312272.381957-93081-89212341594315/AnsiballZ_panos_pbf_rule.py\", line 102, in <module>\n _ansiballz_main()\n File \"/Users/cbandara/.ansible/tmp/ansible-tmp-1587312272.381957-93081-89212341594315/AnsiballZ_panos_pbf_rule.py\", line 94, in _ansiballz_main\n invoke_module(zipped_mod, temp_path, ANSIBALLZ_PARAMS)\n File \"/Users/cbandara/.ansible/tmp/ansible-tmp-1587312272.381957-93081-89212341594315/AnsiballZ_panos_pbf_rule.py\", line 40, in invoke_module\n runpy.run_module(mod_name='ansible_collections.paloaltonetworks.panos.plugins.modules.panos_pbf_rule', init_globals=None, run_name='__main__', alter_sys=True)\n File \"/Users/cbandara/.pyenv/versions/3.6.0/lib/python3.6/runpy.py\", line 205, in run_module\n return _run_module_code(code, init_globals, run_name, mod_spec)\n File \"/Users/cbandara/.pyenv/versions/3.6.0/lib/python3.6/runpy.py\", line 96, in _run_module_code\n mod_name, mod_spec, pkg_name, script_name)\n File \"/Users/cbandara/.pyenv/versions/3.6.0/lib/python3.6/runpy.py\", line 85, in _run_code\n exec(code, run_globals)\n File \"/var/folders/9z/5nh87sr11gjgmtbdnr0xd8p80000gn/T/ansible_panos_pbf_rule_payload_8ibl1nz8/ansible_panos_pbf_rule_payload.zip/ansible_collections/paloaltonetworks/panos/plugins/modules/panos_pbf_rule.py\", line 314, in <module>\n File \"/var/folders/9z/5nh87sr11gjgmtbdnr0xd8p80000gn/T/ansible_panos_pbf_rule_payload_8ibl1nz8/ansible_panos_pbf_rule_payload.zip/ansible_collections/paloaltonetworks/panos/plugins/modules/panos_pbf_rule.py\", line 295, in main\nNameError: name 'PanDeviceError' is not defined\n", "module_stdout": "", "msg": "MODULE FAILURE\nSee stdout/stderr for the exact error", "rc": 1}


Accepted Solutions
Highlighted
L1 Bithead

Re: Ansible panos_pbf_rule giving me NameError: name 'PanDeviceError' is not defined

This is resolved.  i had pandevice 0.13.0.  . had to upgrade to 0.14.0

View solution in original post


All Replies
Highlighted
L1 Bithead

Re: Ansible panos_pbf_rule giving me NameError: name 'PanDeviceError' is not defined

This is resolved.  i had pandevice 0.13.0.  . had to upgrade to 0.14.0

View solution in original post

Like what you see?

Show your appreciation!

Click Like if a post is helpful to you or if you just want to show your support.

Click Accept as Solution to acknowledge that the answer to your question has been provided.

The button appears next to the replies on topics you’ve started. The member who gave the solution and all future visitors to this topic will appreciate it!

These simple actions take just seconds of your time, but go a long way in showing appreciation for community members and the Live Community as a whole!

The Live Community thanks you for your participation!